Subject: Re: [PATCH 2/3] Different views on a repository

From: Michael J Gruber <[email-masked]>
Date: Thu, 25 Feb 2010 10:01:43 +0100

Andreas Gruenbacher venit, vidit, dixit 24.02.2010 16:57:
> Add --view options in upload-pack and receive-pack so that a repository
> on the server side can be made to look like several independent
> repositories on the client side.
> 
> This is implemented by transforming ref names: for example, with
> --view=one/, refs/heads/one/master on the server will look like
> refs/heads/master to the client, refs/tags/one/v1 will look like
> refs/tags/v1, etc.
> 
> This allows to transparently share repositories on the server which
> have a lot of objects in common without complicating things for the
> client, and without breaking garbage collection.

Just from this description, I can't see why the same can't be done with
appropriate refspecs. (A helper for doing that would be more welcome, of
course.)

Maybe a few tests and documentation (i.e. examples, not just the option
description) would clear this up?

Michael